/********************************************************* begin of preamble
**
** Copyright (C) 2003-2010 Software- und Organisations-Service GmbH. 
** All rights reserved.
**
** This file may be used under the terms of either the 
**
**   GNU General Public License version 2.0 (GPL)
**
**   as published by the Free Software Foundation
**   http://www.gnu.org/licenses/gpl-2.0.txt and appearing in the file
**   LICENSE.GPL included in the packaging of this file. 
**
** or the
**  
**   Agreement for Purchase and Licensing
**
**   as offered by Software- und Organisations-Service GmbH
**   in the respective terms of supply that ship with this file.
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
** IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
** THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
** PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
** BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
** CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
** SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
** INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
** CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
** ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
** POSSIBILITY OF SUCH DAMAGE.
********************************************************** end of preamble*/
package com.sos.VirtualFileSystem.Interfaces;
import java.util.Date;

/**
* \class IJadeTransferDetailHistoryExportData 
* 
* \brief IJadeTransferDetailHistoryExportData - 
* 
* \details
*
* \section IJadeTransferDetailHistoryExportData.java_intro_sec Introduction
*
* \section IJadeTransferDetailHistoryExportData.java_samples Some Samples
*
* \code
*   .... code goes here ...
* \endcode
*
* <p style="text-align:center">
* <br />---------------------------------------------------------------------------
* <br /> APL/Software GmbH - Berlin
* <br />##### generated by ClaviusXPress (http://www.sos-berlin.com) #########
* <br />---------------------------------------------------------------------------
* </p>
* \author Uwe Risse
* \version 19.10.2011
* \see reference
*
* Created on 19.10.2011 15:08:45
 */
public interface IJadeTransferDetailHistoryData {
	public abstract Integer getTransferDetailsId();

	public abstract Integer getTransferId();

	public abstract Long getFileSize();

	public abstract Integer getCommandType();

	public abstract String getCommand();

	public abstract String getPid();

	public abstract String getLastErrorMessage();

	public abstract String getTargetFilename();

	public abstract String getSourceFilename();

	public abstract String getMd5();

	public abstract Integer getStatus();

	public abstract Date getStartTime();

	public abstract Date getEndTime();

	public abstract String getModifiedBy();

	public abstract String getCreatedBy();

	public abstract Date getCreated();

	public abstract Date getModified();

	public abstract String getStatusText();

	public abstract String getSizeValue();

}
